Bug 71231

Summary: The Run File action does not work for SQL files
Product: db Reporter: Andrei Badea <abadea>
Component: SQL EditorAssignee: Jiri Rechtacek <jrechtacek>
Status: VERIFIED FIXED QA Contact: issues <issues.netbeans.org>
Priority: P3 CC: pjiricka, romanmostyka
Version: 5.x   
Target Milestone: 6.x   
Hardware: All   
OS: All   
Whiteboard:
Issue Type: DEFECT Exception Report:
Bug Depends on: 102081    
Bug Blocks:    

Description Andrei Badea 2006-01-10 12:48:29 UTC
According to the UI spec at

http://db.netbeans.org/uispecs/sqleditor/sqleditor-ui-spec.html

the Run File action should also work for SQL files (from the user's point of
view). Assuming a SQL editor is active, choosing Run - Run File - Run File from
the menu or pressing Shift+F6 should execute the SQL statement(s) in the editor.
Comment 1 Andrei Badea 2006-05-29 12:11:06 UTC
Still not possible now, but the new actions API which is being developed in
trunk will allow it.
Comment 2 Andrei Badea 2007-01-04 17:36:35 UTC
Postponing as issue 70280 has been postponed.
Comment 3 Andrei Badea 2008-08-04 12:59:02 UTC
Not fixable for 6.5.
Comment 4 Jiri Rechtacek 2009-02-10 15:14:21 UTC
Reassigned to new owner.
Comment 5 Petr Jiricka 2009-08-11 10:55:21 UTC
Now when issue 102081 is addressed, could this be implemented for NB 6.8? I would find this useful especially in the
following scenario: I receive a project, which contains instructions on how to create a database for this project.
Typically, there will be a .sql script which contains commands to create the db schema (CREATE TABLE...) and to populate
it with data (INSERT INTO...). The user needs to create a new database and populate it with this .sql script.

I should be able to run SQL files directly using Run File. Opening it in the SQL editor and running it from there is not
intuitive (I don't want to edit it, so why should I open it). I need to be able to run it not only against existing db
connection, I should be able to create a new connection (against existing database), or a new database in the process.
See also issue 170181 which suggests how to make "New Database" more prominent.
Comment 6 Jiri Rechtacek 2009-08-20 23:14:07 UTC
core-main/rev/265784ad0628
Comment 7 Quality Engineering 2009-08-21 17:52:57 UTC
Integrated into 'main-golden', will be available in build *200908211401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/265784ad0628
User: Jiri Rechtacek <jrechtacek@netbeans.org>
Log: #71231: The Run File action  does not work for SQL files
Comment 8 Michel Graciano 2009-10-02 21:22:01 UTC
v. 200910010513
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo